(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["order-tab-order-tab-module"],{

/***/ "EaKs":
/*!**************************************************************!*\
  !*** ./src/app/pipe/time-difference/time-difference.pipe.ts ***!
  \**************************************************************/
/*! exports provided: TimeDifferencePipe */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TimeDifferencePipe", function() { return TimeDifferencePipe; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");


let TimeDifferencePipe = class TimeDifferencePipe {
    transform(value) {
        const currentTime = new Date().getTime();
        const time = new Date(value).getTime();
        let diffInMilliSeconds = Math.abs(currentTime - time) / 1000;
        // calculate days
        const days = Math.floor(diffInMilliSeconds / 86400);
        diffInMilliSeconds -= days * 86400;
        // calculate hours
        const hours = Math.floor(diffInMilliSeconds / 3600) % 24;
        diffInMilliSeconds -= hours * 3600;
        // calculate minutes
        const minutes = Math.floor(diffInMilliSeconds / 60) % 60;
        diffInMilliSeconds -= minutes * 60;
        let difference = '';
        if (days > 0) {
            difference += (days === 1) ? `${days} day, ` : `${days} days, `;
        }
        if (minutes > 60 || hours > 0) {
            difference += (hours === 0 || hours === 1) ? `${hours} hour, ` : `${hours} hours, `;
        }
        if (minutes > 0) {
            difference += (minutes === 0 || hours === 1) ? `${minutes} min` : `${minutes} min`;
        }
        difference += ' ago';
        if (difference === '0 hours, 0 min' || difference === '0 min') {
            difference = 'Just Now';
        }
        return difference;
    }
};
TimeDifferencePipe = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Pipe"])({
        name: 'timeDifference'
    })
], TimeDifferencePipe);



/***/ }),

/***/ "SWyq":
/*!**********************************************************!*\
  !*** ./src/app/pages/tabs/order-tab/order-tab.module.ts ***!
  \**********************************************************/
/*! exports provided: OrderTabPageModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderTabPageModule", function() { return OrderTabPageModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/common */ "ofXK");
/* harmony import */ var _angular_forms__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/forms */ "3Pt+");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic/angular */ "TEn/");
/* harmony import */ var _order_tab_routing_module__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./order-tab-routing.module */ "dg7C");
/* harmony import */ var _order_tab_page__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./order-tab.page */ "LNGj");
/* harmony import */ var _pipe_time_difference_time_difference_pipe__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../pipe/time-difference/time-difference.pipe */ "EaKs");








let OrderTabPageModule = class OrderTabPageModule {
};
OrderTabPageModule = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [
            _angular_common__WEBPACK_IMPORTED_MODULE_2__["CommonModule"],
            _angular_forms__WEBPACK_IMPORTED_MODULE_3__["FormsModule"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_4__["IonicModule"],
            _order_tab_routing_module__WEBPACK_IMPORTED_MODULE_5__["OrderTabPageRoutingModule"],
        ],
        declarations: [_order_tab_page__WEBPACK_IMPORTED_MODULE_6__["OrderTabPage"], _pipe_time_difference_time_difference_pipe__WEBPACK_IMPORTED_MODULE_7__["TimeDifferencePipe"]]
    })
], OrderTabPageModule);



/***/ }),

/***/ "dg7C":
/*!******************************************************************!*\
  !*** ./src/app/pages/tabs/order-tab/order-tab-routing.module.ts ***!
  \******************************************************************/
/*! exports provided: OrderTabPageRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderTabPageRoutingModule", function() { return OrderTabPageRoutingModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "mrSG");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "fXoL");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "tyNb");
/* harmony import */ var _order_tab_page__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./order-tab.page */ "LNGj");




const routes = [
    {
        path: '',
        component: _order_tab_page__WEBPACK_IMPORTED_MODULE_3__["OrderTabPage"]
    },
];
let OrderTabPageRoutingModule = class OrderTabPageRoutingModule {
};
OrderTabPageRoutingModule = Object(tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"])([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"].forChild(routes)],
        exports: [_angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"]],
    })
], OrderTabPageRoutingModule);



/***/ })

}]);
//# sourceMappingURL=order-tab-order-tab-module.js.map